﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (ViewState["Fruits"] == null)
            {
                DataTable dtFruits = new DataTable();
                dtFruits.Columns.AddRange(new DataColumn[2] { new DataColumn("FruitId", typeof(int)), 
                                    new DataColumn("FruitName", typeof(string)) });
                dtFruits.Columns["FruitId"].AutoIncrement = true;
                dtFruits.Columns["FruitId"].AutoIncrementSeed = 1;
                dtFruits.Columns["FruitId"].AutoIncrementStep = 1;
                ViewState["Fruits"] = dtFruits;
            }
        }
    }

    protected void AddValues(object sender, EventArgs e)
    {
        DataTable dtFruits = (DataTable)ViewState["Fruits"];
        dtFruits.Rows.Add();
        dtFruits.Rows[dtFruits.Rows.Count - 1]["FruitName"] = txtFruit.Text.Trim();
        txtFruit.Text = string.Empty;
        ViewState["Fruits"] = dtFruits;

        lstFruits.DataSource = dtFruits;
        lstFruits.DataTextField = "FruitName";
        lstFruits.DataValueField = "FruitId";
        lstFruits.DataBind();
    }
}