﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            If ViewState("Fruits") Is Nothing Then
                Dim dtFruits As New DataTable()
                dtFruits.Columns.AddRange(New DataColumn(1) {New DataColumn("FruitId", GetType(Integer)), _
                                                             New DataColumn("FruitName", GetType(String))})
                dtFruits.Columns("FruitId").AutoIncrement = True
                dtFruits.Columns("FruitId").AutoIncrementSeed = 1
                dtFruits.Columns("FruitId").AutoIncrementStep = 1
                ViewState("Fruits") = dtFruits
            End If
        End If
    End Sub

    Protected Sub AddValues(sender As Object, e As EventArgs)
        Dim dtFruits As DataTable = DirectCast(ViewState("Fruits"), DataTable)
        dtFruits.Rows.Add()
        dtFruits.Rows(dtFruits.Rows.Count - 1)("FruitName") = txtFruit.Text.Trim()
        txtFruit.Text = String.Empty
        ViewState("Fruits") = dtFruits

        lstFruits.DataSource = dtFruits
        lstFruits.DataTextField = "FruitName"
        lstFruits.DataValueField = "FruitId"
        lstFruits.DataBind()
    End Sub
End Class
